<template>
    <div class="dialog-table-container">
        <el-table
            :element-loading-background="loadingColor"
            v-loading="loading"
            height="400"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column type="index" label="序号" align="center">
            </el-table-column>
            <el-table-column prop="projectName" label="项目名称" align="center">
                <template v-slot="{row}">
                    <span @click="openSubView(row)" style="cursor: pointer">
                        {{ row.projectName }}</span
                    >
                </template>
            </el-table-column>
            <el-table-column prop="reachRate" label="完成率(%)" align="center">
            </el-table-column>
            <el-table-column prop="targetSn" label="排名" align="center">
            </el-table-column>
        </el-table>
        <!--    <pagenation @currentChange="pageChange" class="pagenation"></pagenation>-->
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/majorView.js'
import pagenation from './pagenation.vue'

export default {
    components: {pagenation},
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            // tableData: [
            //     {
            //         id: 1,
            //         projectName: '推动数字重庆建设',
            //         score: 31,
            //         sn: 1,
            //         trend: 0,
            //         reachRate: '54.23%',
            //     },
            //     {
            //         id: 2,
            //         projectName: '全市开发区（园区）数',
            //         score: 26,
            //         sn: 2,
            //         trend: 1,
            //         reachRate: '45.42%',
            //     },
            //     {
            //         id: 3,
            //         projectName: '探索制造业“亩均论英雄”改革',
            //         score: 23,
            //         sn: 3,
            //         trend: 1,
            //         reachRate: '39.23%',
            //     },
            //     {
            //         id: 4,
            //         projectName: '实施国企战略性重组和专业化整合',
            //         score: 22,
            //         sn: 4,
            //         trend: 1,
            //         reachRate: '37.21%',
            //     },
            //     {
            //         id: 5,
            //         projectName: '建立企业上市助推机制',
            //         score: 21,
            //         sn: 5,
            //         trend: 2,
            //         reachRate: '35.23%',
            //     },
            //     {
            //         id: 6,
            //         projectName: '探索强村富民综合改革',
            //         score: 15,
            //         sn: 6,
            //         trend: 1,
            //         reachRate: '32.12%',
            //     },
            //     {
            //         id: 7,
            //         projectName: '探索经济区与行政区适度分离改革',
            //         score: 13,
            //         sn: 7,
            //         trend: 1,
            //         reachRate: '23.23%',
            //     },
            //     {
            //         id: 8,
            //         projectName: '推进涉企涉民服务全生命周期“一件事一次办”',
            //         score: 12,
            //         sn: 8,
            //         trend: 1,
            //         reachRate: '20.22%',
            //     },
            //     {
            //         id: 9,
            //         projectName: '打造“信用重庆”升级版',
            //         score: 11,
            //         sn: 9,
            //         trend: 2,
            //         reachRate: '19.23%',
            //     },
            //     {
            //         id: 10,
            //         projectName: '建设政企学研深度融合的现代职教体系',
            //         score: 9,
            //         sn: 6,
            //         trend: 1,
            //         reachRate: '15.23%',
            //     },
            //     {
            //         id: 11,
            //         projectName: '健全平安重庆风险闭环管控机制',
            //         score: 7,
            //         sn: 6,
            //         trend: 2,
            //         reachRate: '13.42%',
            //     },

            //     {
            //         id: 12,
            //         projectName: '推进渝警数智“情指行”一体化现代警务改革',
            //         score: 5,
            //         sn: 6,
            //         trend: 1,
            //         reachRate: '13.23%',
            //     },
            //     {
            //         id: 13,
            //         projectName: '建立领导班子运行评估和群众口碑评价机制',
            //         score: 4,
            //         sn: 6,
            //         trend: 2,
            //         reachRate: '10.12%',
            //     },
            //     {
            //         id: 14,
            //         projectName: '推进“党建扎桩·治理结网”基层治理现代化改革',
            //         score: 3,
            //         sn: 6,
            //         trend: 1,
            //         reachRate: '5.32%',
            //     },
            //     {
            //         id: 15,
            //         projectName: '实施投融资多元化改革',
            //         score: 2,
            //         sn: 2,
            //         trend: 1,
            //         reachRate: '3.23%',
            //     },
            // ],
            tableData: [],
        }
    },
    mounted() {
        this.loadData()
    },
    methods: {
        loadData() {
            this.loading = true
            let data = {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    showTotal: true,
                },
                sorter: [
                    {
                        direction: 'ASC',
                        property: 'targetSn',
                    },
                ],
            }
            apiList.getProjectSpeed(data, (res) => {
                if (res && res.rows) {
                    this.tableData = res.rows
                    this.loading = false
                }
            })
        },
        // dfsaf
        openSubView(subData) {
            this.$router.push('/MajorProjectsSubView')
        },
    },
}
</script>
<style lang="scss">
@import './table.scss';
</style>
